[mythtv-users] Transcoding has quit working 27.4

David Highley dhighley at highley-recommended.com
Tue Mar 17 12:30:20 UTC 2015


We are using the bash script mythtranscode_in_fifodir_mode to trans code
to H264 format. It drops all frames because of a constant shift between
the audio and video. Seems to be HD programs and not the ones translated
to HD by the cable or TV programming. This had been working up till the
27.4 update. We did try using mythffmpeg instead of ffmpeg but that made
no change. Most of the time the transcode keeps running and we have to
kill the process as it hangs the job queue. Script and tran coding log
are below.

Script:

#!/bin/bash

exec >/var/log/mythtv/mythar`date +%F-%T`.log 2>&1

usage()
{
echo "Usage: $0 --chanid <channel id> --starttime <start time> --title <title> [--subtitle <sub title>] --outdir <directory> [options]";
echo "       $0 --chanid <channel id> --starttime <start time> -outfile <path> [options]";
echo "";
echo "       --chanid <channel id>                   The channel id for the recording. REQUIRED.";
echo "       --starttime <start time>                The start time for the recording. REQUIRED.";
echo "       --title <title>                         The title of the recording.";
echo "       --subtitle <subtitle>                   The subtitle of the recording.";
echo "       --outdir <path>                         The path of the directory for the output file. If one of";
echo "                                               --title --subtitle and --outdir are specified, then both --title and --outdir must";
echo "                                               be, and an output file will be chosen on their basis, avoiding";
echo "                                               conflict with existing files.";
echo "       --outfile <path>                        The exact path of the output file. ALTERNATIVE to";
echo "                                               --title --subtitle and --outdir.";
echo "       --vsize <width>x<height>                Scale video to specified resolution (the aspect ratio will";
echo "                                               be maintained using non-square pixels). If not specified,";
echo "                                               the source resolution will be maintained.";
echo "       --interlaced                            Assume the source is interlaced and maintain the interlace,";
echo "                                               provided --vsize not specified. If --vsize is specified then";
echo "                                               recode at double the frame rate.";
echo "       --passthrough                           Pass through the audio unaltered if possible.";
echo "       --quality <quality>                     Quality for compression (default 20.0)";
}

# Read arguments
unset CHANID
unset STARTTIME
unset TITLE
unset SUBTITLE
unset OUTDIR
unset OUTFILE
unset VSIZE
unset INTERLACED
unset PASSTHROUGH
unset QUALITY

ARGS=("$@")
I=0
while (( $I < $# )); do
{
    case ${ARGS[I]} in
        --chanid)      CHANID=${ARGS[I+1]};      I=$((I+2));;
        --starttime)   STARTTIME=${ARGS[I+1]};   I=$((I+2));;
        --title)       TITLE=${ARGS[I+1]};       I=$((I+2));;
        --subtitle)    SUBTITLE=${ARGS[I+1]};    I=$((I+2));;
        --outdir)      OUTDIR=${ARGS[I+1]};      I=$((I+2));;
        --outfile)     OUTFILE=${ARGS[I+1]};     I=$((I+2));;
        --vsize)       VSIZE=${ARGS[I+1]};       I=$((I+2));;
        --interlaced)  INTERLACED=1;             I=$((I+1));;
        --passthrough) PASSTHROUGH=1;            I=$((I+1));;
        --quality)     QUALITY=${ARGS[I+1]};     I=$((I+2));;
        *)             echo "Illegal option ${ARGS[I]}"; usage; exit 1;;
    esac
} done

# Check arguments make sense
if [[ ! -n $CHANID || ! -n $STARTTIME ]]; then
{
    echo "--chanid and --starttime required"
    usage
    exit 1
} fi

if [[ ! -n $OUTFILE && ! -n $OUTDIR ]]; then
{
    echo "Use either --outfile, or both --title --outdir, with optionally --subtitle"
    usage
    exit 1
} fi

if [[ -n $OUTFILE && ( -n $TITLE || -n $SUBTITLE || -n $OUTDIR) ]]; then
{
    echo "Use either --outfile, or both --title --outdir, with optionally --subtitle"
    usage
    exit 1
} fi

if [[ ( -n $TITLE || -n $OUTDIR || -n $SUBTITLE) && ( ! -n $OUTDIR || ! -n $TITLE ) ]]; then
{
    echo "Both --title and --outdir required for this mode of oparation"
    usage
    exit 1
} fi

if [[ -n $PASSTHROUGH ]]; then
{
    MYTHPASSTHROUGH="--passthrough"
}
else
{
    MYTHPASSTHROUGH=""
} fi

#Detect source formats
INFO=`mythtranscode -v general --chanid $CHANID --starttime $STARTTIME --fifoinfo $MYTHPASSTHROUGH`
OLDIFS=$IFS
IFS=$'\n'
LINES=( $INFO )
IFS=$OLDIFS

unset SVWIDTH
unset SVHEIGHT
unset SVASPECT
unset SVRATE
unset SAFMT
unset SACHANS
unset SARATE

for LINE in "${LINES[@]}" ; do
{
    case $LINE in
        *FifoVideoWidth*)         SVWIDTH=${LINE#*FifoVideoWidth };;
        *FifoVideoHeight*)        SVHEIGHT=${LINE#*FifoVideoHeight };;
        *FifoVideoAspectRatio*)   SVASPECT=${LINE#*FifoVideoAspectRatio };;
        *FifoVideoFrameRate*)     SVRATE=${LINE#*FifoVideoFrameRate };;
        *FifoAudioFormat*)        SAFMT=${LINE#*FifoAudioFormat };;
        *FifoAudioChannels*)      SACHANS=${LINE#*FifoAudioChannels };;
        *FifoAudioHz*)            SARATE=${LINE#*FifoAudioHz };;
        *FifoAudioSampleRate*)    SARATE=${LINE#*FifoAudioSampleRate };;
    esac
} done

if [[ ! -n $SVWIDTH || ! -n $SVHEIGHT || ! -n $SVASPECT || ! -n $SVRATE || ! -n $SAFMT || ! -n $SACHANS || ! -n $SARATE ]]; then
{
    echo "Failed to derive fifo formats"
    exit 1
} fi

SVSIZE=${SVWIDTH}x${SVHEIGHT}
if [[ $SVASPECT == 1.77778 ]]; then
{
    SVASPECT=16:9
}
elif [[ $SVASPECT == 1.33333 ]]; then
{
    SVASPECT=4:3
} fi
	
# Set up default values to unset variables
QUALITY=${QUALITY:-"20.0"}


# If --outfile not specified, use --outdir --title and --subtitle
if [[ ! -n $OUTFILE ]]; then
{
    EXT=".mp4"

    # Put transcoding in subdirectories by title.
    OUTDIR+="/$TITLE"
    # Remove spaces and colons.
    OUTDIR=`echo $OUTDIR | \
	sed -re 's| - |-|' \
	     -e 's| |_|g' \
	     -e 's|:||g'`

    # Create directory if it does not exist.
    if [[ ! -d "$OUTDIR" ]]; then mkdir -p "$OUTDIR"; fi

    OBNAME="$TITLE"
    if [[ "$SUBTITLE" != "" ]]; then OBNAME+=" - $SUBTITLE"; fi

    # Create file name from start time, title, and subtitle if
    # subtitle exists.
    OUTFILE="$OUTDIR/$STARTTIME-"
    OUTFILE+="$OBNAME$EXT"
    # Remove spaces, colons, and change time format.
    OUTFILE=`echo $OUTFILE | \
	sed -re 's| - |-|' \
	     -e 's| |_|g' \
	     -e 's|:||g' \
	     -e 's|([0-9])(-)([0-9])|\1\3|g' \
	     -e 's|([0-9])(T)([0-9])|\1\3|'`

} fi
if [[ -a "$OUTFILE" ]]; then
{
    echo "Could not create a unique output file name"
    exit 1
} fi

if [[ $SAFMT == aac_latm ]]; then
{
    SAFMT=latm;
} fi

# Can do pass through only with formats that ffmpeg will take as input
if [[ $SAFMT != ac3 && $SAFMT != dts && $SAFMT != mp3 && $SAFMT != latm ]]; then
{
    unset PASSTHROUGH
} fi

# Tell ffmpeg what audio to expect and what to do with it
if [[ -n $PASSTHROUGH ]]; then
{
    MYTHPASSTHROUGH="--passthrough"
    AUDINDESC="-f $SAFMT"
    AUDCODEC="copy"
}
else
{
    MYTHPASSTHROUGH=""
    AUDINDESC="-f s16le -ac 2 -ar $SARATE"
#   AUDCODEC="ac3 -ab 160k"
    # Change for Android players.
    AUDCODEC="aac -ab 160k -strict experimental"
} fi

unset VSCALER
# If scaling use lanczos
if [[ -n $VSIZE ]]; then
{
    VSIZE=`echo $VSIZE | sed 's/x/:/'`
    # Lanczos seems to make the files bigger yet less sharp
    #VSCALER="-sws_flags lanczos"
} fi

unset VFILTER
unset VFLAGS
unset VRATE
if [[ -n $INTERLACED ]]; then
{
    if [[ -n $VSIZE ]]; then
    {
        # If scaling interlaced video, we must deinterlace first
        VFILTER="yadif=3,scale=$VSIZE"
        VRATE="-r `echo 2*$SVRATE | bc`"
    }
    else
    {
        # Otherwise maintain the interlace
        VFILTER=
        VFLAGS="-flags +ilme+ildct"
    } fi
}
else
{
    if [[ -n $VSIZE ]]; then
    {
        VFILTER="scale=$VSIZE"
    } fi
} fi

if [[ $SVHEIGHT == 1088 ]]; then
{
    if [[ -n $VFILTER ]]; then
    {
        VFILTER="crop=$SVWIDTH:1080:0:0,$VFILTER"
    }
    else
    {
        VFILTER="crop=$SVWIDTH:1080:0:0"
    } fi

} fi

if [[ -n $VFILTER ]]; then
{
    VFILTER="-vf $VFILTER"
} fi

# Create fifo dir
FIFODIR=/tmp/mythar$$
/bin/mkdir "$FIFODIR"
trap "rm -r $FIFODIR" EXIT

# Flag commercials
#echo "Flagging Commercials..."
#/usr/bin/mythcommflag --chanid "$CHANID" --starttime "$STARTTIME"
ERROR=$?
if [ $ERROR -gt 126 ]; then
    echo "Commercial flagging failed with error $ERROR"
    exit $ERROR
fi

# Generate cutlist
echo "Generating cutlist..."
/usr/bin/mythutil --gencutlist --chanid "$CHANID" --starttime "$STARTTIME"
ERROR=$?
if [ $ERROR -ne 0 ]; then
    echo "Copying cutlist failed with error $ERROR"
    exit $ERROR
fi

# Start mythtranscode outputting into the pipes
echo "/usr/bin/mythtranscode --chanid $CHANID --starttime $STARTTIME --honorcutlist $MYTHPASSTHROUGH --fifodir $FIFODIR --cleancut &"

/usr/bin/mythtranscode --chanid $CHANID --starttime $STARTTIME --honorcutlist $MYTHPASSTHROUGH --fifodir $FIFODIR --cleancut &
ERROR=$?
if [ $ERROR -ne 0 ]; then
    echo "Transcoding failed with error $ERROR"
    exit $ERROR
fi

# Ensure we kill the background task at the end of the run
BACKGROUND=$!
trap "kill -9 $BACKGROUND" EXIT

# Wait for the background task to create the pipes
while [[ ! -e "$FIFODIR/audout" || ! -e "$FIFODIR/vidout" ]]; do /bin/sleep 1; done

echo "/usr/bin/ffmpeg $AUDINDESC -i $FIFODIR/audout -f rawvideo -top 1 -pix_fmt yuv420p -s $SVSIZE -r $SVRATE -i $FIFODIR/vidout -threads 4 $VFILTER $VSCALER -vcodec libx264 -preset medium -profile high $VFLAGS -crf $QUALITY $VRATE -aspect $SVASPECT -acodec $AUDCODEC -ar $SARATE -f mp4 $OUTFILE"

/usr/bin/ffmpeg $AUDINDESC -i $FIFODIR/audout -f rawvideo -top 1 -pix_fmt yuv420p -s $SVSIZE -r $SVRATE -i $FIFODIR/vidout -threads 4 $VFILTER $VSCALER -vcodec libx264 -preset medium -profile high $VFLAGS -crf $QUALITY $VRATE -aspect $SVASPECT -acodec $AUDCODEC -ar $SARATE -f mp4 "$OUTFILE"

rm -r $FIFODIR




Trans code logging below, deleted middle of log repeated frame drops:

Generating cutlist...
2015-03-16 19:44:10.938094 C  mythutil version: fixes/0.27 [v0.27.4-27-g40506c2] www.mythtv.org
2015-03-16 19:44:10.938105 C  Qt version: compile: 4.8.6, runtime: 4.8.6
2015-03-16 19:44:10.938108 N  Enabled verbose msgs:  general
2015-03-16 19:44:10.938113 N  Setting Log Level to LOG_INFO
2015-03-16 19:44:10.948455 I  Added logging to the console
2015-03-16 19:44:10.948674 I  Setup Interrupt handler
2015-03-16 19:44:10.948679 I  Setup Terminated handler
2015-03-16 19:44:10.948681 I  Setup Segmentation fault handler
2015-03-16 19:44:10.948684 I  Setup Aborted handler
2015-03-16 19:44:10.948686 I  Setup Bus error handler
2015-03-16 19:44:10.948689 I  Setup Floating point exception handler
2015-03-16 19:44:10.948693 I  Setup Illegal instruction handler
2015-03-16 19:44:10.948696 I  Setup Real-time signal 0 handler
2015-03-16 19:44:10.948720 N  Using runtime prefix = /usr
2015-03-16 19:44:10.948724 N  Read conf dir = /etc/mythtv
2015-03-16 19:44:10.948731 N  Using configuration directory = /etc/mythtv
2015-03-16 19:44:10.948767 I  Assumed character encoding: en_US.UTF-8
2015-03-16 19:44:10.948940 I  Using localhost value of douglas
2015-03-16 19:44:10.948955 I  Testing network connectivity to '10.2.2.7'
2015-03-16 19:44:10.949207 I  Starting process signal handler
2015-03-16 19:44:10.949215 I  Starting process manager
2015-03-16 19:44:10.949908 I  Starting IO manager (read)
2015-03-16 19:44:10.949916 I  Starting IO manager (write)
2015-03-16 19:44:11.048904 I  New Client:  (#1)
2015-03-16 19:44:11.055853 N  Setting QT default locale to en_US
2015-03-16 19:44:11.055897 I  Current locale en_US
2015-03-16 19:44:11.055928 N  Reading locale defaults from /usr/share/mythtv//locales/en_us.xml
2015-03-16 19:44:11.062511 N  Commercial Skip List copied to Cutlist
Commercial Skip List copied to Cutlist
/usr/bin/mythtranscode --chanid 1105 --starttime 20150313040000 --honorcutlist  --fifodir /tmp/mythar11971 --cleancut &
2015-03-16 19:44:11.284873 C  mythtranscode version: fixes/0.27 [v0.27.4-27-g40506c2] www.mythtv.org
2015-03-16 19:44:11.284886 C  Qt version: compile: 4.8.6, runtime: 4.8.6
2015-03-16 19:44:11.284888 N  Enabled verbose msgs:  general
2015-03-16 19:44:11.284894 N  Setting Log Level to LOG_INFO
2015-03-16 19:44:11.295271 I  Added logging to the console
2015-03-16 19:44:11.295519 I  Setup Interrupt handler
2015-03-16 19:44:11.295524 I  Setup Terminated handler
2015-03-16 19:44:11.295526 I  Setup Segmentation fault handler
2015-03-16 19:44:11.295529 I  Setup Aborted handler
2015-03-16 19:44:11.295532 I  Setup Bus error handler
2015-03-16 19:44:11.295535 I  Setup Floating point exception handler
2015-03-16 19:44:11.295538 I  Setup Illegal instruction handler
2015-03-16 19:44:11.295542 I  Setup Real-time signal 0 handler
2015-03-16 19:44:11.295567 N  Using runtime prefix = /usr
2015-03-16 19:44:11.295570 N  Read conf dir = /etc/mythtv
2015-03-16 19:44:11.295576 N  Using configuration directory = /etc/mythtv
2015-03-16 19:44:11.295611 I  Assumed character encoding: en_US.UTF-8
2015-03-16 19:44:11.295783 I  Using localhost value of douglas
2015-03-16 19:44:11.295796 I  Testing network connectivity to '10.2.2.7'
2015-03-16 19:44:11.296071 I  Starting process manager
2015-03-16 19:44:11.296096 I  Starting process signal handler
2015-03-16 19:44:11.296716 I  Starting IO manager (read)
2015-03-16 19:44:11.296770 I  Starting IO manager (write)
2015-03-16 19:44:11.395754 I  New Client:  (#1)
2015-03-16 19:44:11.401774 N  Setting QT default locale to en_US
2015-03-16 19:44:11.401809 I  Current locale en_US
2015-03-16 19:44:11.401832 N  Reading locale defaults from /usr/share/mythtv//locales/en_us.xml
2015-03-16 19:44:11.405222 I  Loading en_us translation for module mythfrontend
2015-03-16 19:44:11.406617 N  Transcoding from /export/recordings/1105_20150313040000.mpg to FIFO
2015-03-16 19:44:11.440962 I  AFD: codec AC3 has 2 channels
2015-03-16 19:44:11.441091 I  AFD: Opened codec 0xf3f560, id(AC3) type(Audio)
2015-03-16 19:44:11.441100 I  AFD: codec AC3 has 6 channels
2015-03-16 19:44:11.441216 I  AFD: Opened codec 0xf41700, id(AC3) type(Audio)
2015-03-16 19:44:11.442394 I  AFD: Opened codec 0xf03e00, id(MPEG2VIDEO) type(Video)
2015-03-16 19:44:11.442438 N  AudioPlayer: Enabling Audio
2015-03-16 19:44:11.454173 I  Honoring the cutlist while transcoding
2015-03-16 19:44:11.454681 I  Cutlist        : 0-212,16902-22802,33910-41025,54075-60841,73009-80134,93871-100665
2015-03-16 19:44:11.454683 I  Original Length: 109675 frames
2015-03-16 19:44:11.454684 I  New Length     : 75763 frames
2015-03-16 19:44:11.455156 N  Found video height of 1088.  This is unusual and more than likely the video is actually 1080 so mythtranscode will treat it as such.
2015-03-16 19:44:11.462864 I  MythCoreContext: Connecting to backend server: 10.2.2.7:6543 (try 1 of 1)
2015-03-16 19:44:11.463727 I  Using protocol version 77
2015-03-16 19:44:11.486529 I  FifoVideoWidth 1920
2015-03-16 19:44:11.486533 I  FifoVideoHeight 1088
2015-03-16 19:44:11.486541 I  FifoVideoAspectRatio 1.77778
2015-03-16 19:44:11.486544 I  FifoVideoFrameRate 29.97
2015-03-16 19:44:11.486546 I  FifoAudioFormat raw
2015-03-16 19:44:11.486548 I  FifoAudioChannels 2
2015-03-16 19:44:11.486550 I  FifoAudioSampleRate 48000
2015-03-16 19:44:11.486761 I  Created video fifo: /tmp/mythar11971/vidout
2015-03-16 19:44:11.486887 I  Created audio fifo: /tmp/mythar11971/audout
2015-03-16 19:44:11.486942 I  Video 1920x1088 at 29.97fps Audio rate: 48000
2015-03-16 19:44:11.486943 I  Created fifos. Waiting for connection.
2015-03-16 19:44:11.486954 I  Dumping Video and Audio data to fifos
2015-03-16 19:44:11.493782 I  AFD: Audio stream changed
2015-03-16 19:44:11.493920 I  AFD: Audio stream changed
2015-03-16 19:44:11.493986 I  AFD: Audio stream changed
2015-03-16 19:44:11.493992 I  Player(0): Fast-Forwarding from 0 to 14
2015-03-16 19:44:11.528655 I  AFD: Audio stream changed
2015-03-16 19:44:11.528795 I  AFD: Audio stream changed
2015-03-16 19:44:11.528941 I  AFD: Audio stream changed
2015-03-16 19:44:11.529006 I  AFD: Audio stream changed
2015-03-16 19:44:11.529111 I  AFD: Audio stream changed
2015-03-16 19:44:11.529410 I  AFD: Audio stream changed
2015-03-16 19:44:11.529461 I  Clean cut: discarding frame from 14 to 212: vid 198 aud 317117
2015-03-16 19:44:11.532740 I  AFD: Audio stream changed
2015-03-16 19:44:11.532801 I  AFD: Audio stream changed
2015-03-16 19:44:11.535488 I  AFD: Audio stream changed
2015-03-16 19:44:11.535517 I  Audio is 67ms behind video at # 2: auddelta=904, viddelta=837
2015-03-16 19:44:11.535520 I  Dropping video frame
2015-03-16 19:44:11.538001 I  AFD: Audio stream changed
2015-03-16 19:44:11.538030 I  Audio is 67ms behind video at # 2: auddelta=937, viddelta=870
2015-03-16 19:44:11.538033 I  Dropping video frame
2015-03-16 19:44:11.540828 I  AFD: Audio stream changed
2015-03-16 19:44:11.540857 I  Audio is 67ms behind video at # 2: auddelta=971, viddelta=904
2015-03-16 19:44:11.540859 I  Dropping video frame
2015-03-16 19:44:11.543054 I  AFD: Audio stream changed
2015-03-16 19:44:11.543087 I  Audio is 67ms behind video at # 2: auddelta=1004, viddelta=937
2015-03-16 19:44:11.543089 I  Dropping video frame
2015-03-16 19:44:11.545239 I  AFD: Audio stream changed
2015-03-16 19:44:11.545275 I  Audio is 67ms behind video at # 2: auddelta=1038, viddelta=971



2015-03-16 19:47:18.191133 I  Dropping video frame
2015-03-16 19:47:18.193396 I  AFD: Audio stream changed
2015-03-16 19:47:18.193418 I  Audio is 67ms behind video at # 2: auddelta=3658458, viddelta=3658391
2015-03-16 19:47:18.193420 I  Dropping video frame
2015-03-16 19:47:18.197822 I  AFD: Audio stream changed
2015-03-16 19:47:18.197841 I  Audio is 67ms behind video at # 2: auddelta=3658491, viddelta=3658424
2015-03-16 19:47:18.197843 I  Dropping video frame
2015-03-16 19:47:18.200225 I  AFD: Audio stream changed
2015-03-16 19:47:18.200244 I  Audio is 67ms behind video at # 2: auddelta=3658525, viddelta=3658458
2015-03-16 19:47:18.200246 I  Dropping video frame
2015-03-16 19:47:18.202406 I  AFD: Audio stream changed
2015-03-16 19:47:18.202444 I  Audio is 67ms behind video at # 2: auddelta=3658558, viddelta=3658491
2015-03-16 19:47:18.202447 I  Dropping video frame
2015-03-16 19:47:18.206135 I  AFD: Audio stream changed
2015-03-16 19:47:18.206171 I  Audio is 67ms behind video at # 2: auddelta=3658591, viddelta=3658524
2015-03-16 19:47:18.206174 I  Dropping video frame
2015-03-16 19:47:18.208022 I  AFD: Audio stream changed
2015-03-16 19:47:18.208058 I  Audio is 67ms behind video at # 2: auddelta=3658625, viddelta=3658558
2015-03-16 19:47:18.208061 I  Dropping video frame
2015-03-16 19:47:18.209873 I  AFD: Audio stream changed
2015-03-16 19:47:18.209908 I  Audio is 67ms behind video at # 2: auddelta=3658658, viddelta=3658591
2015-03-16 19:47:18.209911 I  Dropping video frame
2015-03-16 19:47:18.213848 I  AFD: Audio stream changed
2015-03-16 19:47:18.213881 I  Audio is 67ms behind video at # 2: auddelta=3658692, viddelta=3658625
2015-03-16 19:47:18.213883 I  Dropping video frame
2015-03-16 19:47:18.216083 I  AFD: Audio stream changed
2015-03-16 19:47:18.216114 I  Audio is 67ms behind video at # 2: auddelta=3658725, viddelta=3658658
2015-03-16 19:47:18.216116 I  Dropping video frame
2015-03-16 19:47:18.218111 I  AFD: Audio stream changed
2015-03-16 19:47:18.218141 I  Audio is 67ms behind video at # 2: auddelta=3658758, viddelta=3658691
2015-03-16 19:47:18.218143 I  Dropping video frame
2015-03-16 19:47:18.221023 I  AFD: Audio stream changed
2015-03-16 19:47:18.221092 I  AFD: Audio stream changed
2015-03-16 19:47:18.221130 I  Audio is 67ms behind video at # 2: auddelta=3658792, viddelta=3658725
2015-03-16 19:47:18.221133 I  Dropping video frame
2015-03-16 19:47:18.222536 I  AFD: Audio stream changed
2015-03-16 19:47:18.222578 I  Audio is 67ms behind video at # 2: auddelta=3658825, viddelta=3658758
2015-03-16 19:47:18.222580 I  Dropping video frame
2015-03-16 19:47:18.223967 I  AFD: Audio stream changed
2015-03-16 19:47:18.223999 I  Audio is 67ms behind video at # 2: auddelta=3658858, viddelta=3658791
2015-03-16 19:47:18.224001 I  Dropping video frame
2015-03-16 19:47:18.226360 I  AFD: Audio stream changed
2015-03-16 19:47:18.226402 I  Audio is 67ms behind video at # 2: auddelta=3658892, viddelta=3658825
2015-03-16 19:47:18.226405 I  Dropping video frame
2015-03-16 19:47:18.227739 I  AFD: Audio stream changed
2015-03-16 19:47:18.227781 I  Audio is 67ms behind video at # 2: auddelta=3658925, viddelta=3658858
2015-03-16 19:47:18.227783 I  Dropping video frame
2015-03-16 19:47:18.231160 I  AFD: Audio stream changed
2015-03-16 19:47:18.231199 I  Audio is 67ms behind video at # 2: auddelta=3658958, viddelta=3658891
2015-03-16 19:47:18.231202 I  Dropping video frame
2015-03-16 19:47:18.234020 E  decoding error
			eno: Unknown error 541478725 (541478725)



More information about the mythtv-users mailing list